import {
  select,
  json,
  geoPath,
  geoMercator,
} from 'd3';
import { feature } from 'topojson';

const svg = select('svg'); // selecting svg element

const projection = geoMercator().translate([-650,530]).scale(780); // creating projection
const pathGenerator = geoPath().projection( // generating path
  projection
);

svg 
  .append('path')
  .attr('d', pathGenerator({ type: 'Sphere' }))
  .attr('class', 'shape');

json(  // adding data to the svg element
  'https://raw.githubusercontent.com/deldersveld/topojson/master/countries/india/india-states.json'
).then((data) => {
  const states = feature(
    data,
    data.objects.IND_adm1
  );
  svg // used to plot the states in the india
    .selectAll('path')
    .data(states.features)
    .enter()
    .append('path')
    .attr('d', pathGenerator)
    .attr('class', 'states');
});


